Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::VWN3LCFunctional Class Reference

The VWN3LCFunctional computes energies and densities using the VWN3 local correlation term (from Vosko, Wilk, and Nusair). More...

`#include <functional.h>`

Inheritance diagram for sc::VWN3LCFunctional:

[legend]
Collaboration diagram for sc::VWN3LCFunctional:

[legend]
List of all members.

## Public Methods
| VWN3LCFunctional (int mcp=1, int mce0=1)
| VWN3LCFunctional (const Ref< KeyVal > &)
| VWN3LCFunctional (StateIn &)
| ~VWN3LCFunctional ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)
## Protected Attributes
int | monte_carlo_prefactor_
int | monte_carlo_e0_

## Detailed Description

The VWN3LCFunctional computes energies and densities using the VWN3 local correlation term (from Vosko, Wilk, and Nusair).

## Member Function Documentation

void sc::VWN3LCFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::VWNLCFunctional.

The documentation for this class was generated from the following file:

- functional.h